

/*
 * 	Message definitions
 */

/* These are the meanings as the pixel nodes interpret them */

#define	MSG_NOO		11	/* Please send noo */
#define	MSG_READY	12	/* I am ready for data */
#define	MSG_DONE	13	/* ray tracing done */
#define	MSG_PRINT	14	/* print statms */
#define	MSG_RES		15	/* resolution */

/* These are the swap byte macros */

#define	SHORT_SWAP(x)	\
		{char *a; register char temp; a = (char *)&x; \
			temp = a[0]; \
			a[0] = a[1]; \
			a[1] = temp; \
		}

#define	LONG_SWAP(x)	\
		{short *aa; aa = &x; \
			SHORT_SWAP(aa[0]); \
			SHORT_SWAP(aa[1]); \
		}

#ifdef	HOST
/* These are the several buffers */

Ushort	pixel_nos[64];
Ushort	pixel_nosq[64];
Ushort	pixel_status[64];
Ushort	pixel_bgflag[64];
#endif
